Subject: bug#22417: closed (Re: bug#22417: Self parsing bug)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 20 Jan 2016 22:08:02 +0000

Your bug report

#22417: Self parsing bug

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22417: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22417
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22417: Self parsing bug
From: Mosè Giordano <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 20 Jan 2016 23:06:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Andreas,

2016-01-20 22:50 GMT+01:00  <[email-masked]>:
> looking in the file
> auctex/style/subfigure.el i found the following setq command that fails when
> I try to execute it with the same error as i got before.
>
>    ;; Install completion for labels:
>    (setq TeX-complete-list
>          (append
>           '(("\\\\[Ss]ubref{\\([^{}\n\r\\%,]*\\)" 1 LaTeX-label-list "}")))
>           TeX-complete-list)
>
> maybe this is what causes the error. I don't understand why the error only
> happens for me though.

This was useful!  setq's syntax has been changed in Emacs 25 so that
it requires an even number of arguments, see the NEWS file, that's why
you get the error while I don't.  Anyway the previous setq was wrong,
as the last `TeX-complete-list' escaped outside `append' call.  Thanks
for spotting this bug!  Fixed with the latest commit.

Bye,
Mosè

Subject: Self parsing bug
From: [email-masked]
To: [email-masked]
Date: Wed, 20 Jan 2016 22:09:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I came across the following error when loading a tex file.
It somehow seems to be connected to the latex package subfigure.

* Bug report in org-mode markup

Ubuntu 15.10
Emacs version: GNU Emacs 25.1.50.2 (x86_64-pc-linux-gnu, GTK+ Version 
3.16.7) of 2016-01-20
Auctex version: auctex.git commit #4f618ec

I fetch =auctex= with =el-get= but later only start it with =-l 
auctex.el=, either way produces the same error.

I start emacs
#+begin_src sh
emacs -q -l auctex.el
#+end_src

I then load my TeX setting
#+begin_src emacs-lisp
(setq debug-on-error t)
(setq TeX-parse-self t)
#+end_src

I then proceed to load my latex file

#+name: tex-file
#+begin_src sh :results output
cat equations.tex
#+end_src

#+RESULTS: tex-file
#+begin_example
\documentclass[12pt]{article}
% \usepackage{graphicx}
% \makeatletter
% \g@addto@macro\@floatboxreset\centering
% \makeatother
\usepackage{subfigure}

\pagestyle{empty}
\begin{document}

\begin{displaymath}
   \textbf{G}: \textbf{P} \mapsto \textbf{Y}
\end{displaymath}

\end{document}
%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% End:
#+end_example

This produces an error as follows:
Debugger entered--Lisp error: (wrong-number-of-arguments setq 3)
signal(wrong-number-of-arguments (setq 3))

(for some reason I can't paste the whole traceback in the mail client)

I noticed that when not using the =\usepackage{subfigure}= package, the 
error does not appear.

I think this is a bug but can't figure out where exactly it's coming 
from or how it appears.

regards
Andreas